summaryrefslogtreecommitdiffstats
path: root/desktop/QtCurve-Gtk2
diff options
context:
space:
mode:
author bughunter2 <bughunter2@googlemail.com>2010-05-11 20:00:02 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 20:00:02 +0200
commit9a120393ac504985ff47b279e6c382cd02e386fc (patch)
tree6f9bf453b38073b95e7357838c9a2c83dcbb6121 /desktop/QtCurve-Gtk2
parentf00e8f73e090f921a8802b6b38101d459a8042b9 (diff)
downloadslackbuilds-9a120393ac504985ff47b279e6c382cd02e386fc.tar.gz
slackbuilds-9a120393ac504985ff47b279e6c382cd02e386fc.tar.xz
desktop/QtCurve-Gtk2: Added to 12.0 repository
Diffstat (limited to 'desktop/QtCurve-Gtk2')
-rw-r--r--desktop/QtCurve-Gtk2/QtCurve-Gtk2.SlackBuild50
-rw-r--r--desktop/QtCurve-Gtk2/QtCurve-Gtk2.info8
-rw-r--r--desktop/QtCurve-Gtk2/README8
-rw-r--r--desktop/QtCurve-Gtk2/slack-desc19
4 files changed, 85 insertions, 0 deletions
diff --git a/desktop/QtCurve-Gtk2/QtCurve-Gtk2.SlackBuild b/desktop/QtCurve-Gtk2/QtCurve-Gtk2.SlackBuild
new file mode 100644
index 0000000000..8d04dba2ec
--- /dev/null
+++ b/desktop/QtCurve-Gtk2/QtCurve-Gtk2.SlackBuild
@@ -0,0 +1,50 @@
+#!/bin/sh
+
+# Slackware build script for QtCurve-Gtk2
+# Written by bughunter2 (bughunter2@googlemail.com)
+
+PRGNAM=QtCurve-Gtk2
+VERSION=0.57.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG $TMP/$PRGNAM-$VERSION
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ .
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM-SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cp $CWD/slack-desc $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/QtCurve-Gtk2/QtCurve-Gtk2.info b/desktop/QtCurve-Gtk2/QtCurve-Gtk2.info
new file mode 100644
index 0000000000..8ccd2c1a27
--- /dev/null
+++ b/desktop/QtCurve-Gtk2/QtCurve-Gtk2.info
@@ -0,0 +1,8 @@
+PRGNAM="QtCurve-Gtk2"
+VERSION="0.57.1"
+HOMEPAGE="http://www.kde-look.org/content/show.php?content=40492"
+DOWNLOAD="http://home.freeuk.com/cpdrummond/QtCurve-Gtk2-0.57.1.tar.bz2"
+MD5SUM="47121e3f8232d13582c4b9553f33583a"
+MAINTAINER="bughunter2"
+EMAIL="bughunter2@googlemail.com"
+APPROVED="David Somero"
diff --git a/desktop/QtCurve-Gtk2/README b/desktop/QtCurve-Gtk2/README
new file mode 100644
index 0000000000..ab2ff0b391
--- /dev/null
+++ b/desktop/QtCurve-Gtk2/README
@@ -0,0 +1,8 @@
+This is a set of widget styles for Gtk2 based apps.
+
+The fonts and colours for the GTK themes will be read in from your Qt
+settings so any KDE font/colour changes will also affect your GTK apps.
+
+If you want Gtk2 apps to use the theme, create a symbolic link to the new
+theme like this:
+ ln -s /usr/share/themes/QtCurve/gtk-2.0/gtkrc /etc/gtk-2.0/gtkrc
diff --git a/desktop/QtCurve-Gtk2/slack-desc b/desktop/QtCurve-Gtk2/slack-desc
new file mode 100644
index 0000000000..f5ae7f62ea
--- /dev/null
+++ b/desktop/QtCurve-Gtk2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also customary
+# to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------|
+QtCurve-Gtk2: QtCurve-Gtk2 (theme for Gtk2 based apps)
+QtCurve-Gtk2:
+QtCurve-Gtk2: This is a theme for Gtk2 based apps.
+QtCurve-Gtk2:
+QtCurve-Gtk2: The fonts and colours for the GTK themes will be read in
+QtCurve-Gtk2: from your Qt settings - so any KDE font/colour changes will
+QtCurve-Gtk2: also affect your GTK apps.
+QtCurve-Gtk2:
+QtCurve-Gtk2: The homepage for QtCurve-Gtk2 is:
+QtCurve-Gtk2: http://www.kde-look.org/content/show.php?content=40492/
+QtCurve-Gtk2: